//       MT-6116

void main(void) {
byte	p;//   
byte	c;//    

	LCDinit();
	for(p=0; p<2; p++) {//   2-  
		WriteCode(p|0xB8);//      
		WriteCode(0x00);//       0
		for(c=0; c<61; c++) {// 
			WriteData(Logo61[p][c]);//    
		}
	}
}

//   
void LCDinit(void) {
	LCD.E=0;//   
	LCD.RES=0;//  RES=0 
	Delay(>10us);//    10 
	LCD.RES=1;//  RES
	Delay(>1ms);//    1 
	WriteCode(0xE2);//Reset
	WriteCode(0xEE);//ReadModifyWrite off
	WriteCode(0xA4);//  
	WriteCode(0xA8);// 1/16
	WriteCode(0xC0);//   0
	WriteCode(0xA0);//NonInvert scan RAM
	WriteCode(0xAF);//Display on
}

void Pset(byte x, byte y, bit c) {//     ( 0,0     )
byte c8;//     
byte m8;//    
	if ((x>60)||(y>15)) return;//   
	WriteCode(0xB8|(y>>3));//   
	WriteCode(x);//   
	c8=ReadData();// 
	c8=ReadData();//    
	m8=1<<(y&0x07);//     
	if (c==1)	// ?
		c8|=m8//    
	else		//  ?
		c8&=~m8;//    
	WriteCode(x);//    
	WriteData(c8);//     
}

void WriteCode(byte b) { WriteByte(b,0); }

void WriteData(byte b) { WriteByte(b,1); }

byte ReadData(void) { return ReadByte(1); }//    

//    
void WriteByte(byte b, bit cd) {
	WaitReady();		//  
//       
	LCD.RW=0; LCD.A0=cd;	//       
	LCD.D=b;		//     
	Delay(>40ns);		//    (tAW)
	LCD.E=1; Delay(>160ns);	//  E=1 (     (tDS))
	LCD.E=0; Delay(>(2000ns-40ns-160ns));	//     E=1
}

byte ReadByte(bit cd) {
byte b;
	WaitReady();		//  
	LCD.RW=1; LCD.A0=cd;	//      
	Delay(>40ns);		//    (tAW)
	LCD.E=1; 		//   
	Delay(>300ns);		//    E=1 (  (tACC)  )
	b=LCD.D;		//     (     120)
	LCD.E=0;		//  E
	Delay(>(2000ns-40ns-300ns));	//     E=1
	return b;		//  
}

void WaitReady(void) {//  ,   
//       
	LCD.RW=1; LCD.A0=0;	//  
	Delay(>40ns);		//    (tAW)
	LCD.E=1; Delay(>300ns);	//    E=1 (  (tACC)  )
	while(LCD.D.7==1);	//   
	LCD.E=0; Delay(>(2000ns-40ns-300ns));	//     E=1
}

// ,         .
//           .
//        .
const byte Logo61[2][61]=//61x16 pixel,  8     
{
	{	0xF8,0xFC,0xFE,0xFB,0xEF,0x7F,0x1F,0x0F,0x0F,0x3F,
		0x1F,0x0F,0xBE,0x0C,0x18,0xE0,0x00,0x00,0x08,0x88,
		0xE8,0xE8,0xE8,0x08,0x88,0xE8,0xE8,0xE8,0x08,0x08,
		0xC8,0xE8,0xE8,0x68,0x68,0x68,0x68,0xE8,0xC8,0xC8,
		0x88,0x08,0x08,0x08,0x08,0x88,0xC8,0xE8,0xE8,0xE8,
		0x68,0x68,0x68,0x68,0xE8,0xE8,0xE8,0x68,0x68,0x68,
		0x68
	},
	{	0x0F,0x18,0x27,0x4F,0x43,0x80,0x80,0x80,0x80,0x80,
		0x80,0x40,0x40,0xE8,0xFC,0xFF,0x7C,0x1E,0x0F,0x07,
		0xFF,0xFF,0xFF,0x1F,0x0F,0xFF,0xFF,0xFF,0x00,0x20,
		0x70,0x70,0xE6,0xCE,0xCE,0xCE,0xCE,0xE4,0x71,0x3F,
		0xFF,0xF0,0xF8,0x7C,0x3F,0x0F,0x07,0xFF,0xFF,0xFF,
		0x00,0x00,0x00,0x00,0xFF,0xFF,0xFF,0x00,0x00,0x00,
		0x00
	}
};
